<!--<h1>Hello from AccountsManagementService</h1>-->

<html xmlns:th="http://www.thymeleaf.org">
<head>
    <title> Ajax Spring File Upload Example </title>
</head>
<body>

<!-- HTML5 Input Form Elements -->
<input id="fileupload" type="file" name="fileupload" />
<button id="upload-button" onclick="uploadFile()"> Upload </button>

<!-- Ajax JavaScript File Upload to Spring Boot Logic -->
<script>
async function uploadFile() {
  let formData = new FormData();
  formData.append("file", fileupload.files[0]);
  let response = await fetch('/api/accounts/upload', {
    method: "POST",
    body: formData
  });

  if (response.status == 200) {
    alert("File successfully uploaded.");
  }
}
</script>

</body>
</html>